<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />
<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 1) {
    $pagetitle = "1oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>


<!--  MENU  -->

<div id="templatemo_menu_wrapper">

    <?php
    if (isset($_GET['s'])) {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="1oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a><span></span>Πρωτοκόλληση</a>
<ul>
<li><a href="eiserhomena.php" target="_parent" ><span></span>Δείτε τα εισερχόμενα</a></li>
 <li><a href="exerhomena.php" target="_parent"><span></span>Δείτε τα εξερχόμενα</a></li>
 <li><a href="preis.php" target="_parent"><span></span>Πρωτοκολληση νέου εισερχομένου εγγράφου</a></li>
  <li><a href="prex.php" target="_parent"><span></span>Πρωτοκολληση νέου εξερχομένου εγγράφου</a></li>
                </ul>              
</li>
            <li><a><span></span>Προσωπικό</a>
 <ul>
<li><a href="atomeg.php" target="_parent" ><span></span>Ατομικά Έγγραφα Στελεχών</a></li>
 <li><a href="editatom.php" target="_parent"><span></span>Επεξεργασία Ατομικών Εγγράφων</a></li>
 <li><a href="addatom.php" target="_parent"><span></span>Δημιουργία νέων ατομικών Εγγράφων</a></li>
                </ul>                              
</li>
            <li><a><span></span>Παραγωγή Εγγράφων</a>
 <ul>
 <li><a href="fporeias.php" target="_parent" ><span></span>Έκδοση Φύλλου Πορείας</a></li>
 <li><a href="fadeias.php" target="_parent"><span></span>Έκδοση Φύλλου Αδείας</a></li>
 <li><a href="apolyt.php" target="_parent"><span></span>Έκδοση Απολυτηρίου</a></li>
                </ul>                              
</li>
 <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="1oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a><span></span>Πρωτοκόλληση</a>
<ul>
<li><a href="eiserhomena.php" target="_parent" ><span></span>Δείτε τα εισερχόμενα</a></li>
 <li><a href="exerhomena.php" target="_parent"><span></span>Δείτε τα εξερχόμενα</a></li>
 <li><a href="preis.php" target="_parent"><span></span>Πρωτοκολληση νέου εισερχομένου εγγράφου</a></li>
  <li><a href="prex.php" target="_parent"><span></span>Πρωτοκολληση νέου εξερχομένου εγγράφου</a></li>
                </ul>              
</li>
            <li><a><span></span>Προσωπικό</a>
 <ul>
<li><a href="atomeg.php" target="_parent" ><span></span>Ατομικά Έγγραφα Στελεχών</a></li>
 <li><a href="editatom.php" target="_parent"><span></span>Επεξεργασία Ατομικών Εγγράφων</a></li>
 <li><a href="addatom.php" target="_parent"><span></span>Δημιουργία νέων ατομικών Εγγράφων</a></li>
                </ul>                              
</li>
            <li><a><span></span>Παραγωγή Εγγράφων</a>
 <ul>
 <li><a href="fporeias.php" target="_parent" ><span></span>Έκδοση Φύλλου Πορείας</a></li>
 <li><a href="fadeias.php" target="_parent"><span></span>Έκδοση Φύλλου Αδείας</a></li>
 <li><a href="apolyt.php" target="_parent"><span></span>Έκδοση Απολυτηρίου</a></li>
                </ul>                              
</li>
             <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>


</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>


    <div id="buttons">    <form action="editpoines.php" method="post">
            <style>     
                #templatemo_main p{
                    text-align:center;
                }
                #templatemo_main h1{
                    text-align:center;
                    color:#FC0;
                }
            #templatemo_main h2{
                    text-align:center;
                    color:#990;
                }
            </style>
            <h1> Επεξεργασία Ποινών</h1>
            <?php
            require_once('../../mysqli_connect.php');

            if ((isset($_GET['aa'])) && (is_numeric($_GET['aa']))) {
                $id = $_GET['aa'];
            } elseif ((isset($_POST['submitted2'])) && (is_numeric($_POST['submitted2']))) {
                $id = $_POST['submitted2'];
            } else {
                echo '<p class="error">This page has been accessed in error.</p>';
                include ('footer.html');
                exit();
            }



            if (isset($_POST['submitted2'])) {

                $errors = array();

                // Check for a first name:
                if (empty($_POST['poinh'])) {
                    $errors[] = 'Δεν εισάγατε είδος ποινής';
                } else {
                    $p = mysqli_real_escape_string($dbc, trim($_POST['poinh']));
                }

                if (empty($_POST['diarkeia'])) {
                    $errors[] = 'Δεν εισάγατε διάρκεια ποινής';
                } else {
                    $d = mysqli_real_escape_string($dbc, trim($_POST['diarkeia']));
                }

                if (empty($_POST['date'])) {
                    $errors[] = 'Δεν εισάγατε ημερομηνία επιβολής';
                } else {
                    $da = mysqli_real_escape_string($dbc, ($_POST['date']));
                }

                if (empty($_POST['aitia'])) {
                    $errors[] = 'Δεν εισάγατε αιτιολογία';
                } else {
                    $ai = $_POST['aitia'];
                }
                if (empty($errors)) {

                    $q = "UPDATE poines SET eidos='$p',date='$da',diarkeia='$d',aitia='$ai' WHERE aa=$id ";
                    $r = @mysqli_query($dbc, $q);
                    if (mysqli_affected_rows($dbc) == 1) {
                        echo '<p><h1>Η ποινή καταχωρήθηκε επιτυχώς</h1></p></br>
                              <p><a href=editatom.php><h2>Επιστροφή στην Επεξεργασία Ατομικών Εγγράφων</h2></α>';
                    } else { // If it did not run OK.
                        echo '<p class="error">Πρόβλημα του συστήματος .Προσπαθείστε ξανά</p>'; // Public message.
                        //               echo '<p>' . mysqli_error($dbc) . '<br />Query: ' . $q . '</p>'; // Debugging message.
                    }
                } else {

                    echo '<p class="error">Συνέβησαν τα ακόλουθα λάθη <br />';
                    foreach ($errors as $msg) { // Print each error.
                        echo " - $msg<br />\n";
                    }
                 echo '</p><p>Προσπαθείστε ξανά.</p>';

                
                $q = "SELECT  p.eidos as poinh,p.diarkeia as meres, date_format(p.date,'%d %M %y') as date
                  ,p.aitia as aitia from stelexi s, poines p
                  where s.id=p.stid and p.aa=$id ";

                $r = mysqli_query($dbc, $q);
                list($poinh, $diarkeia, $date, $aitia) = mysqli_fetch_row($r);
                echo '<p> Είδος Ποινής : <input type="text" name="poinh" value=' . $poinh . '> </input>';
                echo 'Διάρκεια  : <input type="text" name="diarkeia" value=' . $diarkeia . '> </input>';
                echo 'Ημερομηνία Επιβολής : <input type="date" name="date" value=' . $date . '> </input></p>';
                echo 'Aιτιολογία : <textarea name="aitia" > '. $aitia.'</textarea></p>';
                echo'
            </br>
            <p><input type="submit" name="submit" value="Καταχωρίστε την τροποποίηση σας!!!!" /></p>
            <input type="hidden" name="submitted2" value=' . $id . ' />
            </select>
        </form>';}
        
            } else {
                if ((isset($_GET['aa'])) && (is_numeric($_GET['aa']))) {
                    $id = $_GET['aa'];
                } elseif ((isset($_POST['submitted2'])) && (is_numeric($_POST['submitted2']))) {
                    $id = $_POST['submitted2'];
                } else {
                    echo '<p class="error">This page has been accessed in error.</p>';
                    include ('footer.html');
                    exit();
                }

                echo'<form action="editpoines.php" method="post">';
                $q = "SELECT  p.eidos as poinh,p.diarkeia as meres, p.date
                  ,p.aitia as aitia from stelexi s, poines p
                  where s.id=p.stid and p.aa=$id ";

                $r = mysqli_query($dbc, $q);
                list($poinh, $diarkeia, $date, $aitia) = mysqli_fetch_row($r);
               // $row = mysqli_fetch_array($r, MYSQLI_ASSOC);

                echo '<p> Είδος Ποινής : <input type="text" name="poinh" value=' . $poinh . '> </input>';
                echo 'Διάρκεια  : <input type="text" name="diarkeia" value=' . $diarkeia . '> </input>';
                echo 'Ημερομηνία Επιβολής : <input type="date" name="date" value=' . $date . '> </input></p>';
                echo 'Aιτιολογία : <textarea name="aitia" > '. $aitia.'</textarea></p>';
                echo'
            </br>
            <p><input type="submit" name="submit" value="Καταχωρίστε την τροποποίηση σας!!!!" /></p>
            <input type="hidden" name="submitted2" value=' . $id . ' />
            </select>
        </form>';
            }
            ?>



            <div class="cleaner"></div>
    </div>




    <?php
    include('../../divs/footer.php');
    ?>